.resumes-page-wrap {
    height: 100%;
    width: 100%;

    .searchbox {
        height: 10%;
        width: 100%;
        display: flex;
        flex-direction: row;

        .resumestextbox {
            width: 10%;
            display: flex;
            align-items: center;
            justify-content: center;

            .resumestext {
                color: rgba(0, 141, 150, 1);
                font-size: 22px;
                font-weight: 500;
            }

        }

        .searchtextbox {
            width: 20%;
            display: flex;
            align-items: center;
            justify-content: center;
        }

        .firstgap {
            width: 55%;

        }

        .buttonbox {
            // border:1px solid red;
            width: 15%;
            margin-left: auto;
            display: flex;
            align-items: center;
            justify-content: center;

            .button {
                height: 46px;
                width: 140px;
                border: none;
                border-radius: 8px;
                background-color: rgba(0, 141, 150, 1);
                align-items: center;
                justify-content: center;
                display: flex;



                .buttontext {
                    font-size: 20px;
                    font-weight: 600;
                    color: rgba(255, 255, 255, 1);
                    line-height: 25.1px;
                }
            }
        }
    }

    .searchtextboxadd {
        width: 25%;
        display: flex;
        align-items: center;
        justify-content: center;


        .searchbox1add {
            width: 95%;
            height: 50%;
            border: none;
            border-radius: 20px;
            display: flex;
            flex-direction: row;
            background-color: white;

            .searchinputadd:focus {
                outline-width: 0px;
                border: 1.5px solid rgba(0, 141, 150, 1);
            }

            .searchinputadd {
                font-weight: 500;
                font-size: 17px;
                line-height: 39px;
                color: rgba(0, 0, 0, 0.3);
                padding-left: 15px;
                width: 80%;
                height: 100%;
                border: none;
                border-top-left-radius: 20px;
                border-bottom-left-radius: 20px;
                // background-color: aqua;
            }

            .searchdowniconboxadd {

                width: 15%;
                height: 100%;
                // background-color: blue;
                display: flex;
                justify-content: center;
                align-items: center;

            }
        }
    }

    .pageviewbox {
        margin-top: 10px;
        height: 7%;
        width: 100%;
        display: flex;
        flex-direction: row;

        .secondgap {
            width: 85%;
        }

        .pageviewbutton {
            width: 15%;
            margin-left: auto;
            align-items: center;
            justify-content: center;
            display: flex;

            .pageviewbuttonbox {
                border: 1px solid red;
                align-items: center;
                justify-content: center;
                height: 48px;
                width: 108px;
                border: none;
                border-radius: 10px;
                background-color: rgba(255, 255, 255, 1);
                display: flex;
                flex-direction: row;



                .box1 {
                    width: 45%;

                    justify-content: center;
                    align-items: center;
                    display: flex;
                }

                .box2 {
                    justify-content: center;
                    align-items: center;
                    display: flex;
                    width: 10%;


                    .starightline {
                        height: 60%;
                        width: 1%;
                        border: 1px solid rgba(0, 141, 150, 1);
                    }
                }

            }
        }
    }

    .listcontainer {
        height: 80%;


        .listbox {
            height: 90%;
            width: 100%;
            overflow: auto;
            // justify-content: space-evenly;
            align-items: center;
            display: flex;
            flex-direction: row;
            flex-wrap: wrap;

            ::-webkit-scrollbar {
                width: 1.5rem;
            }

            ::-webkit-scrollbar-track {
                background-color: white;
            }

            ::-webkit-scrollbar-thumb {
                background: red;
                border: 5px solid rgba(0, 141, 150, 1);
                border-radius: 9px;
                background-clip: content-box;
            }
        }

        .resumelist {
            position: relative;
            margin-top: 2%;
            width: 22%;
            height: 60%;
            justify-content: space-evenly;
            align-items: center;
            display: flex;
            flex-direction: column;

            .resumelist1 {
                height: 100%;
                width: 100%;
            }

            .thumbnailpic {
                cursor: pointer;
                height: 100%;
                width: 100%;
            }

            .overlay {
                position: absolute;
                bottom: 0;
                background-color: rgba(0, 0, 0, 0.6);
                width: 100%;
                height: 20%;
                transition: .5s ease;
                opacity: 0;
                text-align: center;
                display: flex;
                flex-direction: row;

                .deleteicon {
                    height: 100%;
                    width: 100%;
                    cursor: pointer;
                }
            }

        }

        .resumelist:hover .overlay {
            opacity: 1;
        }


    }





    .paginationcontainer {
        height: 11%;

        display: flex;
        flex-direction: row;

        .paginationspace {
            width: 80%;

        }

        .paginationbox {
            width: 100%;
            display: flex;
            justify-content: center;
            align-items: center;
        }



    }

    // .addresume {
    //     width: 580px;
    //     height: 60vh;
    //     background-color: rgba(255, 255, 255, 1);
    // }
}

.addresume {
    width: 580px;
    height: 60vh;
    background-color: rgba(255, 255, 255, 1);

    .addresumetextbox {

        height: 10%;
        // width: 100%;
        justify-content: flex-start;
        align-items: center;
        padding-left: 5%;
        display: flex;
        border-bottom: 0.5px solid rgba(185, 185, 187, 1);

        .addresumetext {
            font-size: 16px;
            font-weight: 700;
            line-height: 24px;
            color: rgba(0, 141, 150, 1);
        }
    }

    .uploadcontainer {
        height: 20%;
        background-color: red;
        display: flex;
        justify-content: center;
        align-items: center;

    }

    .uploadbox {
        width: 90%;
        height: 60%;
        border: 1px solid rgba(0, 141, 150, 1);
        border-radius: 8px;
        flex-direction: row;
        display: flex;

    }

    .button {
        width: 50%;
        height: 100%;
        border: none;
        justify-content: center;
        align-items: center;
        display: flex;
        background-color: transparent;
        border-top-left-radius: 8px;
        border-bottom-left-radius: 8px;
        border-right: 3px dotted rgba(0, 141, 150, 1);

    }

    .buttontext {
        font-size: 16px;
        font-weight: 700;
        line-height: 24px;
        color: rgba(0, 141, 150, 1);
    }
}






@media only screen and (min-width:320px) and (max-width:426px) {
    .resumes-page-wrap {
        height: 94vh;

        .searchbox {
            height: 8%;
            max-width: 100%;

            .resumestextbox {
                width: 20%;
                margin-left: 3%;

                .resumestext {
                    font-size: 1em;
                }
            }

            .searchtextboxadd {
                width: 42%;

                .searchbox1add {
                    .searchadd {
                        font-size: 0.6em;
                    }
                }

                .menu {
                    width: 40%;
                    height: 10%;
                    font-size: 0.6em;
                    margin-top: 5vh;
                    border-top: 0px;
                    opacity: 0.9;
                    background-color: rgb(255, 255, 255);

                    .insidedropdow {
                        font-size: 0.8em;
                    }
                }
            }

            .buttonbox {
                width: 20%;
                background-color: transparent;
                margin-right: 1%;

                .button {
                    height: 50%;
                    width: 100%;

                    .buttontext {
                        font-size: 1.1em;
                    }
                }
            }
        }

        .pageviewbox {
            height: 4%;
            margin-top: 0%;

            .pageviewbutton {
                display: flex;
                height: 100%;
                width: 20%;

                .pageviewbuttonbox {
                    height: 100%;
                    margin-right: 4%;

                    .view-btn {
                        border-radius: 50%;
                        height: 100%;
                    }
                }
            }
        }



        .listcontainer {
            height: 88%;

            .listbox {
                overflow: auto;
                height: 94%;

                .resumelist {
                    margin: 0;
                    height: 25%;
                    width: 26%;

                    .thumbnailpic {
                        height: 100% !important;
                        width: 100%;
                    }
                }
            }

            .container1 {
                height: 94%;

                .container2 {
                    min-height: 98%;
                }

                .contain-table {
                    height: 98%;

                    .table-font {
                        font-size: 0.8em;
                    }
                }
            }

            .paginationcontainer {
                height: 5%;
                display: flex;
                flex-direction: column;
                align-items: center;
                justify-content: center;

                .paginationbox {
                    display: flex;
                    flex-direction: column;
                    align-items: center;
                    justify-content: center;
                    height: 100%;
                    width: 100%;
                    margin-left: 0;
                }
            }
        }
    }
}

.taginput {
    width: 45%;
    margin-top: 6%;
}

@media only screen and (min-width:426px) and (max-width:768px) {
    .resumes-page-wrap {
        height: 94%;

        .listcontainer {
            height: 84%;
        }

        .searchbox {

            .resumestextbox {
                width: 25%;

            }
        }

        .pageviewbox {
            margin-top: 0%;

            .pageviewbutton {
                width: 20%;

            }
        }

        .searchtextboxadd {
            width: 35%;

            .searchadd {
                font-size: 0.8em;
            }
        }

        .listcontainer {
            height: 83%;

            .listbox {


                .resumelist {
                    margin: 0;
                    height: 25%;
                    width: 26%;

                    .thumbnailpic {
                        height: 100% !important;
                        width: 100%;
                    }
                }
            }
        }

        .paginationcontainer {
            height: 10%;
        }
    }
}


@media only screen and (min-width:769px) and (max-width:1024px) {
    .resumes-page-wrap {
        .searchbox {
            width: 100%;
            height: 10%;


            .buttonbox {
                margin-right: 1%;
                width: 12%;

                .button {
                    height: 60%;

                    .buttontext {
                        font-size: 1.1em;
                    }
                }
            }

            .resumestextbox {
                width: 20%;


                .resumestext {
                    font-size: 1.1em;
                }
            }

            .searchtextboxadd {
                width: 30%;

                .searchadd {
                    font-size: 0.9em;
                }
            }
        }

        .pageviewbox {
            height: 8%;
            margin-top: 0;
            margin-bottom: 0;

            .pageviewbutton {
                height: 100%;
                margin-left: auto;

                .pageviewbuttonbox {
                    height: 80%;
                    width: 84%;

                }
            }
        }

        .listcontainer {
            height: 82%;

            .container1 {
                height: 90%;

            }

        }

    }
}

@media only screen and (min-width:1025px) and (max-width:1440px) {
    .resumes-page-wrap {
        .searchbox {
            .resumestextbox {
                width: 15%;
            }
        }
    }
}